
rgw - Backport #16436

hammer: add socket backlog setting for via ceph.conf

06/23/2016 01:27 AM - Diluga Salome

Status: Rejected Spent time: 0.00 hour

Priority: Normal   

Assignee: Nathan Cutler   

Target version:    

Release: hammer Crash signature (v2):  

Crash signature (v1):    

Description

https://github.com/ceph/ceph/pull/10219

Related issues:

Copied from rgw - Feature #16406: add socket backlog setting for via ceph.conf Resolved 06/22/2016

History

#1 - 06/23/2016 04:54 AM - Nathan Cutler

- Copied from Feature #16406: add socket backlog setting for via ceph.conf added

#2 - 06/23/2016 04:55 AM - Nathan Cutler

- Description updated

- Status changed from New to In Progress

- Assignee set to Nathan Cutler

original description

The default rgw socket backlog = 1024，in some case，this number is too small，so i create a patch to fix it，maybe useful to someone.and it needs to

be backported to hammer(or hammer 0.94.8)

for hammer ： https://github.com/ceph/ceph/pull/9858 (closed)

#3 - 06/23/2016 01:42 PM - Nathan Cutler

- Subject changed from add socket backlog setting for via ceph.conf to hammer: add socket backlog setting for via ceph.conf

- Status changed from In Progress to Need More Info

Backporting note: do not process this backport further until the corresponding master PR has been merged and the cherry-pick xref has been

double-checked.

#4 - 06/24/2016 02:24 AM - Diluga Salome

with git cherry-pick -x : https://github.com/ceph/ceph/pull/9912 (closed)

#5 - 06/24/2016 07:01 AM - Nathan Cutler

- Description updated

- Status changed from Need More Info to New

#6 - 07/08/2016 03:41 PM - Kefu Chai

https://github.com/ceph/ceph/pull/10079 (closed)
#7 - 07/08/2016 04:54 PM - Nathan Cutler

- Description updated

- Status changed from New to In Progress

#8 - 07/09/2016 07:51 AM - Nathan Cutler

- Description updated

- Status changed from In Progress to Need More Info

Appears to depend on https://github.com/ceph/ceph/commit/c52a9fad0a3354f1004716038e3f7190dd9a1d61 which would seem to be not worth the

effort/risk to backport.

#9 - 12/27/2016 11:34 AM - Nathan Cutler

- Status changed from Need More Info to Rejected
